CREATE TABLE chartest (
    id serial,
    objname varchar,
    metadata xml
);

CREATE CAST (XML AS TEXT) WITHOUT FUNCTION AS IMPLICIT;
CREATE CAST (XML AS VARCHAR) WITHOUT FUNCTION AS IMPLICIT;

INSERT INTO chartest (objname, metadata) VALUES ( 
'IC3653','
<MPFS xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:stc="http://www.ivoa.net/xml/STC/v1.30"  xmlns:cha="urn:vo-characterization">
<Characterization>
        <characterizationAxis>
                <axisFrame>
                    <axisName>spatial</axisName>
                    <calibrationStatus>CALIBRATED</calibrationStatus>
                    <ucd>pos</ucd>
                    <unit>deg</unit>
                    <coordsystem ID="TT-ICRS-WAVELENGTH-TOPO">
                       TT-ICRS-WAVELENGTH-TOPO
                    </coordsystem>
                   
                    <accuracy>
                      <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          <C1>
                         0.00055
                         </C1>
                         <C2>
                         0.00055
                         </C2>
                        </ErrorRefVal>
                      </statError>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>
                      <C1>
                     16 
                      </C1>
                      <C2>
                      16
                      </C2>
                    </numBins>
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                    <location>
                      <coord IDREF="TT-ICRS-WAVELENGTH-TOPO">
                <Position2D>
                        <Name1>RA</Name1>
                        <Name2>Dec</Name2>
                        <Value2>
                           <C1>
                               190.37379
                           </C1>
                           <C2>
                                11.366944
                           </C2> 
                         </Value2>
                       </Position2D>
                      </coord>
                      
                    </location>
                    <bounds>
                      <limits>
                <LoLimit2Vec>
                           <C1>
                             190.37157
                           </C1>
                           <C2>
                             11.364722
                            </C2> 
                       </LoLimit2Vec>             
                       <HiLimit2Vec>
                          <C1>
                           190.37601
                          </C1>   
                          <C2>  
                            11.369167 
                          </C2>
                        </HiLimit2Vec>
                      </limits>
                      
                    </bounds>
                </coverage>
                <resolution>
                    <unit> arcsec </unit>
                    <resolutionRefVal>
                      <ReferenceValue>  
                       <C1>
                         1.4
                       </C1>
                       <C2>
                         1.4
                       </C2>
                      </ReferenceValue>
                    </resolutionRefVal>
                </resolution>
                <samplingPrecision>
                    <unit> arcsec </unit>
                    <samplingPrecisionRefVal>
              <referenceValue>
                    <samplingPeriod> 
                     <C1>
                      1.0 
                      </C1>
                      <C2>
                       1.0
                      </C2>
                     </samplingPeriod>
               </referenceValue>
                    </samplingPrecisionRefVal>
                </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                    <axisName>time</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>time</ucd>
                    <unit> none</unit>
<!-- none unit is for ISO-8601 format -->
                    <coordsystem IDREF="TT-ICRS-WAVELENGTH-TOPO" />
                
                    
                    <accuracy>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>1</numBins>
                    
                </axisFrame>     
                <coverage>
                    <location>
                      <coord coordsystem_id="TT-ICRS-WAVELENGTH-TOPO">2004-05-24T23:29:10</coord>
                      
                    </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          2004-05-24T22:23:58
                          </LoLimit>
                          <HiLimit>   
                          2004-05-25T00:34:18 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                 
                </coverage>
                
                
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                   <axisName>spectral</axisName>
                   <calibrationStatus>CALIBRATED</calibrationStatus>
                   <ucd>em</ucd>
                   <unit> um </unit>
                   <coordsystem ID="SPEC-SYS">
                SPEC-SYS
                   </coordsystem>
                  
                   <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                         0.0001
                        </ErrorRefVal>
                      </statError>
                   </accuracy>
                   <independantAxis>true</independantAxis>
                   <numBins>2230</numBins>
                   <undersamplingStatus>false</undersamplingStatus>
                   <regularsamplingStatus>false</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                   <location>
                      <coord IDREF="SPEC-SYS">
                       <Spectral>
                        <Value>
                      
                          0.4858137 
                         </Value>
                         </Spectral>
                        
                      </coord>
                      
                  </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          0.4140
                          </LoLimit>
                          <HiLimit>   
                          0.56548382 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                </coverage>
                <resolution>
                      <unit> km/s </unit>
                      <resolutionRefVal>
                         <ReferenceValue>78.6 </ReferenceValue>
                      </resolutionRefVal>
                      <resolutionBounds>
                         <limits>
                           <LoLimit>
                            48.3 
                           </LoLimit>
                            <HiLimit>
                            101.1
                            </HiLimit>    
                         </limits>
                      </resolutionBounds>
                </resolution>
                <samplingPrecision>
                      <unit> km/s </unit>
                      <samplingPrecisionRefVal>
                <ReferenceValue>
                         <samplingPeriod>40.0000</samplingPeriod>
                </ReferenceValue>
                      </samplingPrecisionRefVal>
                      
               </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
               <axisFrame>
                    <axisName>flux</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>phot</ucd>
                    <unit>erg/cm^2/s/A </unit>
                    <coordsystem ID="QUANTIZ">
                TBD
                    </coordsystem>
                    
                    <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          5.63e-17
                        </ErrorRefVal>
                        <ErrorBounds>
                         <ErrorLimits>
                            <LoLimit>
                           5.80e-19
                             </LoLimit>
                            <HiLimit> 
                           1.12e-16
                            </HiLimit>
                         </ErrorLimits>
                        </ErrorBounds>
                      </statError>
                    </accuracy>
                    <independantAxis>false</independantAxis>
                    
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
               </axisFrame>     

               <coverage>
                    <location>
                       <coord REFID="QUANTIZ">
                         <Value>
                         2.3519587e-17
                          </Value> 
                        </coord>
                       
                    </location>
                    <bounds>
                       <limits>
                         <LoLimit>
                          -2.8933970e-15
                          </LoLimit>
                          <HiLimit>
                          1.1838107e-14
                          </HiLimit>
                       </limits>
                       
                    </bounds>
               </coverage>
              
           </characterizationAxis>
</Characterization>
</MPFS>
');

INSERT INTO chartest (objname, metadata) VALUES ( 
'IC3468','
<MPFS xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:stc="http://www.ivoa.net/xml/STC/v1.30"  xmlns:cha="urn:vo-characterization">
<Characterization>
        <characterizationAxis>
                <axisFrame>
                    <axisName>spatial</axisName>
                    <calibrationStatus>CALIBRATED</calibrationStatus>
                    <ucd>pos</ucd>
                    <unit>deg</unit>
                    <coordsystem ID="TT-ICRS-WAVELENGTH-TOPO">
                       TT-ICRS-WAVELENGTH-TOPO
                    </coordsystem>
                   
                    <accuracy>
                      <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          <C1>
                         0.00055
                         </C1>
                         <C2>
                         0.00055
                         </C2>
                        </ErrorRefVal>
                      </statError>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>
                      <C1>
                     16 
                      </C1>
                      <C2>
                      16
                      </C2>
                    </numBins>
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                    <location>
                      <coord IDREF="TT-ICRS-WAVELENGTH-TOPO">
                <Position2D>
                        <Name1>RA</Name1>
                        <Name2>Dec</Name2>
                        <Value2>
                           <C1>
                               188.059167
                           </C1>
                           <C2>
                                10.25153
                           </C2> 
                         </Value2>
                       </Position2D>
                      </coord>
                      
                    </location>
                    <bounds>
                      <limits>
                <LoLimit2Vec>
                           <C1>
                             188.057
                           </C1>
                           <C2>
                             10.249
                            </C2> 
                       </LoLimit2Vec>             
                       <HiLimit2Vec>
                          <C1>
                           188.061
                          </C1>   
                          <C2>  
                            10.254 
                          </C2>
                        </HiLimit2Vec>
                      </limits>
                      
                    </bounds>
                </coverage>
                <resolution>
                    <unit> arcsec </unit>
                    <resolutionRefVal>
                      <ReferenceValue>  
                       <C1>
                         1.5
                       </C1>
                       <C2>
                         1.5
                       </C2>
                      </ReferenceValue>
                    </resolutionRefVal>
                </resolution>
                <samplingPrecision>
                    <unit> arcsec </unit>
                    <samplingPrecisionRefVal>
              <referenceValue>
                    <samplingPeriod> 
                     <C1>
                      1.0 
                      </C1>
                      <C2>
                       1.0
                      </C2>
                     </samplingPeriod>
               </referenceValue>
                    </samplingPrecisionRefVal>
                </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                    <axisName>time</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>time</ucd>
                    <unit> none</unit>
<!-- none unit is for ISO-8601 format -->
                    <coordsystem IDREF="TT-ICRS-WAVELENGTH-TOPO" />
                
                    
                    <accuracy>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>1</numBins>
                    
                </axisFrame>     
                <coverage>
                    <location>
                      <coord coordsystem_id="TT-ICRS-WAVELENGTH-TOPO">2004-03-21T01:30:00</coord>
                      
                    </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          2004-03-20T23:52:29
                          </LoLimit>
                          <HiLimit>   
                          2004-03-21T03:01:28 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                 
                </coverage>
                
                
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                   <axisName>spectral</axisName>
                   <calibrationStatus>CALIBRATED</calibrationStatus>
                   <ucd>em</ucd>
                   <unit> um </unit>
                   <coordsystem ID="SPEC-SYS">
                SPEC-SYS
                   </coordsystem>
                  
                   <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                         0.0001
                        </ErrorRefVal>
                      </statError>
                   </accuracy>
                   <independantAxis>true</independantAxis>
                   <numBins>2330</numBins>
                   <undersamplingStatus>false</undersamplingStatus>
                   <regularsamplingStatus>false</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                   <location>
                      <coord IDREF="SPEC-SYS">
                       <Spectral>
                        <Value>
                      
                          0.4878 
                         </Value>
                         </Spectral>
                        
                      </coord>
                      
                  </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          0.4160
                          </LoLimit>
                          <HiLimit>   
                          0.56760944 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                </coverage>
                <resolution>
                      <unit> km/s </unit>
                      <resolutionRefVal>
                         <ReferenceValue>83.0 </ReferenceValue>
                      </resolutionRefVal>
                      <resolutionBounds>
                         <limits>
                           <LoLimit>
                            56.1 
                           </LoLimit>
                            <HiLimit>
                            118.8
                            </HiLimit>    
                         </limits>
                      </resolutionBounds>
                </resolution>
                <samplingPrecision>
                      <unit> km/s </unit>
                      <samplingPrecisionRefVal>
                <ReferenceValue>
                         <samplingPeriod>40.0000</samplingPeriod>
                </ReferenceValue>
                      </samplingPrecisionRefVal>
                      
               </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
               <axisFrame>
                    <axisName>flux</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>phot</ucd>
                    <unit>erg/cm^2/s/A </unit>
                    <coordsystem ID="QUANTIZ">
                TBD
                    </coordsystem>
                    
                    <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          4.71e-17
                        </ErrorRefVal>
                        <ErrorBounds>
                         <ErrorLimits>
                            <LoLimit>
                           3.3e-18
                             </LoLimit>
                            <HiLimit> 
                           8.1e-17
                            </HiLimit>
                         </ErrorLimits>
                        </ErrorBounds>
                      </statError>
                    </accuracy>
                    <independantAxis>false</independantAxis>
                    
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
               </axisFrame>     

               <coverage>
                    <location>
                       <coord REFID="QUANTIZ">
                         <Value>
                         1.83e-17
                          </Value> 
                        </coord>
                       
                    </location>
                    <bounds>
                       <limits>
                         <LoLimit>
                          -1.2e-17
                          </LoLimit>
                          <HiLimit>
                          6.2e-17
                          </HiLimit>
                       </limits>
                       
                    </bounds>
               </coverage>
              
           </characterizationAxis>
</Characterization>
</MPFS>
');

INSERT INTO chartest (objname, metadata) VALUES ( 
'IC3509','
<MPFS xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:stc="http://www.ivoa.net/xml/STC/v1.30"  xmlns:cha="urn:vo-characterization">
<Characterization>
        <characterizationAxis>
                <axisFrame>
                    <axisName>spatial</axisName>
                    <calibrationStatus>CALIBRATED</calibrationStatus>
                    <ucd>pos</ucd>
                    <unit>deg</unit>
                    <coordsystem ID="TT-ICRS-WAVELENGTH-TOPO">
                       TT-ICRS-WAVELENGTH-TOPO
                    </coordsystem>
                   
                    <accuracy>
                      <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          <C1>
                         0.00055
                         </C1>
                         <C2>
                         0.00055
                         </C2>
                        </ErrorRefVal>
                      </statError>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>
                      <C1>
                     16 
                      </C1>
                      <C2>
                      16
                      </C2>
                    </numBins>
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                    <location>
                      <coord IDREF="TT-ICRS-WAVELENGTH-TOPO">
                <Position2D>
                        <Name1>RA</Name1>
                        <Name2>Dec</Name2>
                        <Value2>
                           <C1>
                               188.547921
                           </C1>
                           <C2>
                                12.04983
                           </C2> 
                         </Value2>
                       </Position2D>
                      </coord>
                      
                    </location>
                    <bounds>
                      <limits>
                <LoLimit2Vec>
                           <C1>
                             188.546
                           </C1>
                           <C2>
                             12.047
                            </C2> 
                       </LoLimit2Vec>             
                       <HiLimit2Vec>
                          <C1>
                           188.550
                          </C1>   
                          <C2>  
                            12.052 
                          </C2>
                        </HiLimit2Vec>
                      </limits>
                      
                    </bounds>
                </coverage>
                <resolution>
                    <unit> arcsec </unit>
                    <resolutionRefVal>
                      <ReferenceValue>  
                       <C1>
                         1.5
                       </C1>
                       <C2>
                         1.5
                       </C2>
                      </ReferenceValue>
                    </resolutionRefVal>
                </resolution>
                <samplingPrecision>
                    <unit> arcsec </unit>
                    <samplingPrecisionRefVal>
              <referenceValue>
                    <samplingPeriod> 
                     <C1>
                      1.0 
                      </C1>
                      <C2>
                       1.0
                      </C2>
                     </samplingPeriod>
               </referenceValue>
                    </samplingPrecisionRefVal>
                </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                    <axisName>time</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>time</ucd>
                    <unit> none</unit>
<!-- none unit is for ISO-8601 format -->
                    <coordsystem IDREF="TT-ICRS-WAVELENGTH-TOPO" />
                
                    
                    <accuracy>
                    </accuracy>
                    <independantAxis>true</independantAxis>
                    <numBins>1</numBins>
                    
                </axisFrame>     
                <coverage>
                    <location>
                      <coord coordsystem_id="TT-ICRS-WAVELENGTH-TOPO">2005-04-11T02:30:00</coord>
                    </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          2005-04-11T01:00:10
                          </LoLimit>
                          <HiLimit>   
                          2004-04-13T01:15:48 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                 
                </coverage>
                
                
           </characterizationAxis>
           <characterizationAxis>
                <axisFrame>
                   <axisName>spectral</axisName>
                   <calibrationStatus>CALIBRATED</calibrationStatus>
                   <ucd>em</ucd>
                   <unit> um </unit>
                   <coordsystem ID="SPEC-SYS">
                SPEC-SYS
                   </coordsystem>
                  
                   <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                         0.0001
                        </ErrorRefVal>
                      </statError>
                   </accuracy>
                   <independantAxis>true</independantAxis>
                   <numBins>2338</numBins>
                   <undersamplingStatus>false</undersamplingStatus>
                   <regularsamplingStatus>false</regularsamplingStatus>
                </axisFrame>     
                <coverage>
                   <location>
                      <coord IDREF="SPEC-SYS">
                       <Spectral>
                        <Value>
                      
                          0.483467
                         </Value>
                         </Spectral>
                        
                      </coord>
                      
                  </location>
                      <bounds>
                        <limits>
                          <LoLimit>
                          0.4120
                          </LoLimit>
                          <HiLimit>   
                          0.562752 
                          </HiLimit>
                        </limits>
                       
                      </bounds>
                </coverage>
                <resolution>
                      <unit> km/s </unit>
                      <resolutionRefVal>
                         <ReferenceValue>78.4 </ReferenceValue>
                      </resolutionRefVal>
                      <resolutionBounds>
                         <limits>
                           <LoLimit>
                            60.9
                           </LoLimit>
                            <HiLimit>
                            101.9
                            </HiLimit>    
                         </limits>
                      </resolutionBounds>
                </resolution>
                <samplingPrecision>
                      <unit> km/s </unit>
                      <samplingPrecisionRefVal>
                <ReferenceValue>
                         <samplingPeriod>40.0000</samplingPeriod>
                </ReferenceValue>
                      </samplingPrecisionRefVal>
                      
               </samplingPrecision>
           </characterizationAxis>
           <characterizationAxis>
               <axisFrame>
                    <axisName>flux</axisName>
                    <calibrationStatus>UNCALIBRATED</calibrationStatus>
                    <ucd>phot</ucd>
                    <unit>erg/cm^2/s/A </unit>
                    <coordsystem ID="QUANTIZ">
                TBD
                    </coordsystem>
                    
                    <accuracy>
                     <statError>
                        <flavor>statistical error</flavor>
                        <ErrorRefVal>
                          2.22e-17
                        </ErrorRefVal>
                        <ErrorBounds>
                         <ErrorLimits>
                            <LoLimit>
                           3.3e-18
                             </LoLimit>
                            <HiLimit> 
                           8.1e-17
                            </HiLimit>
                         </ErrorLimits>
                        </ErrorBounds>
                      </statError>
                    </accuracy>
                    <independantAxis>false</independantAxis>
                    
                    <undersamplingStatus>false</undersamplingStatus>
                    <regularsamplingStatus>true</regularsamplingStatus>
               </axisFrame>     

               <coverage>
                    <location>
                       <coord REFID="QUANTIZ">
                         <Value>
                         3.15e-17
                          </Value> 
                        </coord>
                       
                    </location>
                    <bounds>
                       <limits>
                         <LoLimit>
                          -1.6e-17
                          </LoLimit>
                          <HiLimit>
                          9.1e-17
                          </HiLimit>
                       </limits>
                       
                    </bounds>
               </coverage>
              
           </characterizationAxis>
</Characterization>
</MPFS>
');

